# Niver

## Presentation

Niver is an ecosystem whose main component is the Web interface written in PHP.

This PHP Web interface allow it's users to manage 3 services, that can be used together :

* A domain registry
* A nameserver
* An hypertext service, that allow a directory containing hypertext documents to be accessed with the choice of the protocol and the routing method :
* HTTP(S) or Gemini
* DNS access or Onion (the Tor's system)


On the client:
```
$ ssh-keygen -a 100 -t ed25519
```

## Nginx mimetypes association

```
text/plain            txt;
text/gemini           gmi;
text/markdown         md;
text/html             html;
text/css              css;
text/xml              xml;
text/csv              csv;
text/javascript       js;

application/xhtml+xml xhtml;
application/atom+xml  atom;
application/rss+xml   rss;

application/json      json;
application/gzip      gz;
application/zip       zip;
application/epub+zip  epub;
application/pdf       pdf;

font/woff             woff;
font/woff2            woff2;

image/png             png;
image/tiff            tif tiff;
image/gif             gif;
image/jpeg            jpeg jpg;
image/svg+xml         svg svgz;
image/webp            webp;

audio/mpeg            mp3;
audio/ogg             ogg oga opus spx;
audio/webm            weba;
audio/flac            flac;

video/webm            webm;
video/mp4             mp4;
video/ogg             ogv;

```
